Package net.shibboleth.idp.plugin.authn.webauthn.storage.impl

# Class StorageServiceCredentialRepositoryFactory.UsernameFromCredentialExtractionStrategy

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.storage.impl.StorageServiceCredentialRepositoryFactory.UsernameFromCredentialExtractionStrategy

All Implemented Interfaces:
  `Function<CredentialRecord,String>`

Enclosing class:
  StorageServiceCredentialRepositoryFactory

static class StorageServiceCredentialRepositoryFactory.UsernameFromCredentialExtractionStrategy extends Object implements Function<CredentialRecord,String>
An extraction strategy that converts the `CredentialRecord` into a username inside the registration.

## Constructor Summary

Constructors
Constructor
Description
`UsernameFromCredentialExtractionStrategy()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(CredentialRecord cred)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### UsernameFromCredentialExtractionStrategy

UsernameFromCredentialExtractionStrategy()

## Method Details

### apply

public String apply(CredentialRecord cred)

Specified by:
  `apply` in interface `Function<CredentialRecord,String>`